> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves Live Pages

> Returns a list of all the live pages



## OpenAPI

````yaml xm_v1 get /pages/live
openapi: 3.0.0
info:
  version: 1.0.0
  description: >-
    Design, deploy, and manage experiences for all your digital storefronts with
    fabric XM, a headless e-commerce CMS. Design and develop components in your
    storefront to give your merchandisers and marketers the building blocks they
    need to create pages for products, promotions, and campaigns.
  title: Experiences v1 (XM v1)
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc/api-license
servers:
  - url: https://cdn.xm.fabric.inc/api
security: []
tags:
  - name: Pages
    description: >-
      XM Pages API allows you to fetch all the live pages, or a live page by a
      specific URL
  - name: Global Components
    description: >-
      XM Global Components API allows you to fetch all the live global component
      data
  - name: Menu
    description: XM Menu API allows you to fetch menus and their items
paths:
  /pages/live:
    get:
      tags:
        - Pages
      summary: Retrieves Live Pages
      description: Returns a list of all the live pages
      operationId: getLivePages
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/TobyResponseObject'
                type: object
                description: 200 response object
                properties:
                  status:
                    type: integer
                    description: The response status code
                  data:
                    type: object
                    description: The data object holding the list of live page versions
                    properties:
                      livePages:
                        type: array
                        description: The array of live page versions
                        items:
                          type: object
                          description: The live page version details
                          allOf:
                            - $ref: '#/components/schemas/PageVersion'
                            - type: object
                              properties:
                                __v:
                                  type: integer
                                  description: The versionKey associated with the version
                                startDate:
                                  type: string
                                  format: date-time
                                  description: The date and time the version was published
                                page:
                                  allOf:
                                    - $ref: '#/components/schemas/Page'
                                    - type: object
                                      properties:
                                        typeId:
                                          type: string
                                          description: >-
                                            The database id for the page type that
                                            is linked to the page
              example:
                status: 200
                data:
                  livePages:
                    - _id: 60788b398fad06000899bdc4
                      isArchived: false
                      channel:
                        - 12
                      channels:
                        - '12'
                      status: SCHEDULED
                      endDate: '2099-12-31T00:00:00.000Z'
                      startDate: '2021-04-16T15:05:12.172Z'
                      pageId: 60788b39f59a96c12ce27460
                      name: KO v1
                      components:
                        - _id: 6079db97f395c800086a1ceb
                          id: Title
                          params:
                            title: FAQ
                            subtitle: >-
                              Questions you may have around our commerce apps,
                              getting started, security and compliance"
                            components: []
                            additionalProp1: {}
                          order: 1
                          additionalProp1: {}
                        - _id: 6079db97f395c800086a1cec
                          id: PopularQuestions
                          params:
                            title: POPULAR TOPICS
                            questions:
                              - title: Getting started
                                body: Question 1
                                linkText: Click here to view
                                linkUrl: https://fabric.inc/
                            components: []
                            additionalProp1: {}
                          order: 2
                          additionalProp1: {}
                      versionId: 36
                      createdAt: '2021-04-15T18:51:37.475Z'
                      updatedAt: '2021-04-26T16:40:24.212Z'
                      __v: 0
                      page:
                        _id: 60788b39f59a96c12ce27460
                        name: Popular FAQs
                        pageUrl: /faq
                        __v: 0
                        channels:
                          - '12'
                        createdAt: '2021-04-15T18:51:37.416Z'
                        isActive: true
                        isArchived: false
                        pageId: 114
                        typeId: 60788b0bf59a96c12ce27214
                        updatedAt: '2021-04-26T16:40:24.253Z'
                code: Ok
                message: List of Live Pages
                service: toby
                status_code: 200
                statusCode: 200
        '204':
          description: No live pages
          content:
            application/json:
              schema:
                type: object
                description: 204 response object
                properties:
                  status_code:
                    type: number
                    description: The response status code
                  message:
                    type: string
                    description: Status message
                  data:
                    type: object
                    description: The data object holding the list of live pages
                    properties:
                      livePages:
                        type: array
                        description: The array of live pages
                        items: {}
                        maxItems: 0
              example:
                status_code: 204
                message: There is no live page that exists in the database.
                data:
                  livePages: []
        '404':
          description: Tenant not found
          content:
            application/json:
              schema:
                type: object
                description: 404 response object
                properties:
                  status:
                    type: string
                    description: Status of response object
                  message:
                    type: string
                    description: Message describing response object
                  status_code:
                    type: integer
              example:
                status: PAGE_NOT_FOUND
                message: No Page Entry Found.
                statusCode: 404
        '500':
          description: The request was received but an internal error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: INTERNAL_SERVER_ERROR
                message: >-
                  An internal error occurred. If the issue persists please
                  contact support@fabric.inc.
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    TobyResponseObject:
      type: object
      description: Attributes that are returned with all responses from Multi-tenant system
      properties:
        code:
          type: string
          description: String message of response code
        message:
          type: string
          description: Description of response action
        service:
          type: string
          description: String specifying service returned this response
        status_code:
          type: integer
          description: Represents status code of response
        statusCode:
          type: integer
          description: Represents status code of response
    PageVersion:
      type: object
      description: The version object
      properties:
        _id:
          type: string
          description: The database id associated with the version
        isArchived:
          type: boolean
          description: True if the version is archived; false otherwise
        channel:
          type: array
          description: A deprecated field holding channel information
          items:
            type: integer
            description: The channel identifier
        channels:
          type: array
          description: The channel ids associated with the version
          items:
            type: string
            description: The channel id associated with the version
        status:
          type: string
          description: The current status of the version
        endDate:
          type: string
          description: The date when the version will no longer be live
          format: date-time
        pageId:
          type: string
          description: The database id of the page associated with the version
        name:
          type: string
          description: The version name
        description:
          type: string
          description: The description associated with the version
        components:
          $ref: '#/components/schemas/Components'
        versionId:
          type: integer
          description: An identifier used for the version
        createdAt:
          type: string
          format: date-time
          description: The date and time the version was created
        updatedAt:
          type: string
          format: date-time
          description: The date and time the version was last updated
    Page:
      type: object
      description: The page object
      properties:
        name:
          type: string
          description: The page name
        pageUrl:
          type: string
          description: The relative page url
        createdAt:
          type: string
          format: date-time
          description: The date and time the page was created
        updatedAt:
          type: string
          format: date-time
          description: The date and time the page was updated
        isActive:
          type: boolean
          description: True if the page is active; false otherwise
        isArchived:
          type: boolean
          description: True if the page is archived; false otherwise
        pageId:
          type: integer
          description: An identifier used for the page
        channels:
          type: array
          description: The channel ids associated with the page
          items:
            type: string
            description: The channel id associated with the page
        seoFields:
          type: object
          description: The SEO fields
          properties:
            title:
              type: string
              description: SEO field title
            description:
              type: string
              description: SEO field description
            createdAt:
              type: string
              format: date-time
              description: The date and time the SEO field was created
            updatedAt:
              type: string
              format: date-time
              description: The date and time the SEO field was last updated
            metadata:
              type: array
              description: The list of metadata associated with the SEO field
              items:
                type: object
                description: The metadata associated with the SEO field
                properties:
                  name:
                    type: string
                    description: Metadata name
                  content:
                    type: string
                    description: Metadata content
                  _id:
                    type: string
                    description: The virutal id associated with the SEO field metadata
                  createdAt:
                    type: string
                    format: date-time
                    description: The date and time the metadata was created
                  updatedAt:
                    type: string
                    format: date-time
                    description: The date and time the metadata was last updated
            _id:
              type: string
              description: The virtual id associated with the SEO field
        typeName:
          type: string
          description: Name of the page type of page (optional)
        typeUrl:
          type: string
          description: URL of the page type of page (optional)
        _id:
          type: string
          description: The database id associated with the page
        __v:
          type: integer
          description: The versionKey associated with the page
        channel:
          type: array
          description: A deprecated field holding channel information
          items:
            type: integer
            description: The channel identifier
    Error:
      type: object
      description: The server error response object
      properties:
        code:
          type: string
          description: The code associated with the type of server error
        message:
          type: string
          description: The message associated with the server error
      required:
        - code
        - message
    Components:
      type: array
      description: The list of components
      items:
        type: object
        description: The component data
        properties:
          _id:
            type: string
            description: The virtual id associated with the component
          id:
            type: string
            description: The identifier used in the UI by the component
          params:
            type: object
            description: The attached fields and values of the component
            additionalProperties: true
        additionalProperties: true

````